﻿@model SectionViewModel

<div class="card-text shadow border-0 mt-4">
    <div class="card-header bg-primary">
        <div class="row">
            <div class="col-12 text-center">
                <h2 class="text-white py-2">@Model.TopicVM.Name</h2>
            </div>
        </div>
    </div>
    <div class="card-body p-3">
        <form method="post" class="row" enctype="multipart/form-data">
            <input asp-for="TopicVM.Id" hidden />
            <input asp-for="TopicVM.Name" hidden />
            <input asp-for="TopicVM.QuestionsCount" hidden />
            <div class="row mb-2">
                <div class="col-12 col-md-3">
                    <a asp-controller="Home" asp-action="Index" class="btn btn-outline-secondary form-control">Back to Home</a>
                </div>
                <div class="col-12 text-end">In this topic @Model.MaxQuestionsCount questions</div>
            </div>
            <div class="input-group mb-1">
                <span class="input-group-text bg-primary text-white border-0 fw-semibold" id="inputGroup-sizing-default">
                    How many questions do you want?
                </span>
                <input asp-for="UserQuestionsCount" type="number" value="1" min="1" max="@Model.MaxQuestionsCount" oninput="limitInputValue(this)" 
                       class="form-control text-end" aria-label="Sizing example input" aria-describedby="inputGroup-sizing-default" />
            </div>
            <div class="row p-3">
                <div class="col-md-2 offset-md-5 mb-4">
                    <button type="submit" class="btn btn-primary border-0 w-100 py-2 fw-semibold">Go to questions</button>
                </div>
            </div>
        </form>
    </div>
</div>

<script>
    function limitInputValue(input) {
        var maxCount = parseInt("@Model.MaxQuestionsCount");
        var currentValue = parseInt(input.value);

        if (currentValue > maxCount) {
            input.value = maxCount;
        }
    }
</script>